/*
 * create_monster_type.hpp
 *
 * This file is part of Knights.
 *
 * Copyright (C) Stephen Thompson, 2006 - 2024.
 * Copyright (C) Kalle Marjola, 1994.
 *
 * Knights is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * Knights is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Knights.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef CREATE_MONSTER_TYPE_HPP
#define CREATE_MONSTER_TYPE_HPP

#include "boost/shared_ptr.hpp"

struct lua_State;

class KnightsConfigImpl;
class MonsterType;

// Factory function for MonsterTypes. Creates appropriate monster type
// (FlyingMonsterType, WalkingMonsterType) based on the "type" field
// of the lua table.

// Reads table from top of lua stack; does not pop it.

MonsterType * CreateMonsterType(lua_State *lua, KnightsConfigImpl *kc);

#endif
